## r-cran-circlize 0.4.5

=== DESCRIPTION ===
Package: circlize
Type: Package
Title: Circular Visualization
Version: 0.4.5
Date: 2018-11-19
Author: Zuguang Gu
Maintainer: Zuguang Gu <z.gu@dkfz.de>
Depends: R (>= 3.0.0), graphics
Imports: GlobalOptions (>= 0.1.0), shape, grDevices, utils, stats,
        colorspace, methods, grid
Suggests: knitr, dendextend (>= 1.0.1), ComplexHeatmap (>= 1.13.2),
        gridBase, png
VignetteBuilder: knitr
Description: Circular layout is an efficient way for the visualization of huge 
    amounts of information. Here this package provides an implementation 
    of circular layout generation in R as well as an enhancement of available 
    software. The flexibility of the package is based on the usage of low-level 
    graphics functions such that self-defined high-level graphics can be easily 
    implemented by users for specific purposes. Together with the seamless 
    connection between the powerful computational and visual environment in R, 
    it gives users more convenience and freedom to design figures for 
    better understanding complex patterns behind multiple dimensional data.
URL: https://github.com/jokergoo/circlize,
        http://jokergoo.github.io/circlize_book/book/
License: MIT + file LICENSE
Packaged: 2018-11-21 20:07:05 UTC; jokergoo
Repository: CRAN
Date/Publication: 2018-11-21 21:40:03 UTC
NeedsCompilation: no

=== debian/changelog ===
r-cran-circlize (0.4.5-1) unstable; urgency=medium

  * Initial release (closes: #919386)

 -- Steffen Moeller <moeller@debian.org>  Tue, 15 Jan 2019 12:37:09 +0100

=== debian/control ===
Source: r-cran-circlize
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-shape,
               r-cran-colorspace,
               r-cran-globaloptions
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-circlize
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-circlize.git
Homepage: https://cran.r-project.org/package=circlize

Package: r-cran-circlize
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Circular Visualization
 Circular layout is an efficient way for the visualization of huge
 amounts of information. Here this package provides an implementation
 of circular layout generation in R as well as an enhancement of available
 software. The flexibility of the package is based on the usage of low-level
 graphics functions such that self-defined high-level graphics can be easily
 implemented by users for specific purposes. Together with the seamless
 connection between the powerful computational and visual environment in R,
 it gives users more convenience and freedom to design figures for
 better understanding complex patterns behind multiple dimensional data.

## r-cran-circlize 0.4.6

=== debian/changelog ===
r-cran-circlize (0.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Mon, 22 Jul 2019 11:12:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
+               r-cran-globaloptions,
                r-cran-shape,
-               r-cran-colorspace,
-               r-cran-globaloptions
-Standards-Version: 4.3.0
+               r-cran-colorspace
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-circlize
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-circlize.git
 Homepage: https://cran.r-project.org/package=circlize

## r-cran-circlize 0.4.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Package: circlize
 Type: Package
 Title: Circular Visualization
-Version: 0.4.5
-Date: 2018-11-19
+Version: 0.4.8
+Date: 2019-09-05
 Author: Zuguang Gu
 Maintainer: Zuguang Gu <z.gu@dkfz.de>
 Depends: R (>= 3.0.0), graphics
 Imports: GlobalOptions (>= 0.1.0), shape, grDevices, utils, stats,
         colorspace, methods, grid
-Suggests: knitr, dendextend (>= 1.0.1), ComplexHeatmap (>= 1.13.2),
+Suggests: knitr, dendextend (>= 1.0.1), ComplexHeatmap (>= 1.99.0),
         gridBase, png
 VignetteBuilder: knitr
 Description: Circular layout is an efficient way for the visualization of huge 
@@ -23,7 +23,7 @@
 URL: https://github.com/jokergoo/circlize,
         http://jokergoo.github.io/circlize_book/book/
 License: MIT + file LICENSE
-Packaged: 2018-11-21 20:07:05 UTC; jokergoo
+NeedsCompilation: no
+Packaged: 2019-09-06 12:55:48 UTC; jokergoo
 Repository: CRAN
-Date/Publication: 2018-11-21 21:40:03 UTC
-NeedsCompilation: no
+Date/Publication: 2019-09-08 10:00:02 UTC

=== debian/changelog ===
r-cran-circlize (0.4.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 12 Sep 2019 11:45:57 +0200

r-cran-circlize (0.4.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Set upstream metadata fields: Archive, Repository.

 -- Andreas Tille <tille@debian.org>  Fri, 23 Aug 2019 09:44:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-globaloptions,

## r-cran-circlize 0.4.10

=== debian/changelog ===
r-cran-circlize (0.4.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 29 Jul 2020 22:12:41 +0200

r-cran-circlize (0.4.9-2) unstable; urgency=medium

  * Team upload
  * Source upload in R 4.0 transition

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 19:43:24 +0200

r-cran-circlize (0.4.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 06 May 2020 10:40:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-globaloptions,
+               r-cran-globaloptions (>= 0.1.2),
                r-cran-shape,
                r-cran-colorspace
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-circlize
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-circlize.git
 Homepage: https://cran.r-project.org/package=circlize
+Rules-Requires-Root: no
 
 Package: r-cran-circlize
 Architecture: all

## r-cran-circlize 0.4.12

=== debian/changelog ===
r-cran-circlize (0.4.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 08:56:07 +0100

r-cran-circlize (0.4.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 05 Nov 2020 11:22:14 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-globaloptions (>= 0.1.2),
                r-cran-shape,
                r-cran-colorspace
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-circlize
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-circlize.git
 Homepage: https://cran.r-project.org/package=circlize

## r-cran-circlize 0.4.14

=== DESCRIPTION ===
Package: circlize
Type: Package
Title: Circular Visualization
Version: 0.4.14
Date: 2022-02-11
Authors@R: person("Zuguang", "Gu", email = "z.gu@dkfz.de", role = c("aut", "cre"),
                  comment = c('ORCID'="0000-0002-7395-8709"))
Depends: R (>= 3.0.0), graphics
Imports: GlobalOptions (>= 0.1.2), shape, grDevices, utils, stats,
        colorspace, methods, grid
Suggests: knitr, dendextend (>= 1.0.1), ComplexHeatmap (>= 2.0.0),
        gridBase, png, markdown, bezier, covr, rmarkdown
VignetteBuilder: knitr
Description: Circular layout is an efficient way for the visualization of huge 
    amounts of information. Here this package provides an implementation 
    of circular layout generation in R as well as an enhancement of available 
    software. The flexibility of the package is based on the usage of low-level 
    graphics functions such that self-defined high-level graphics can be easily 
    implemented by users for specific purposes. Together with the seamless 
    connection between the powerful computational and visual environment in R, 
    it gives users more convenience and freedom to design figures for 
    better understanding complex patterns behind multiple dimensional data. 
    The package is described in Gu et al. 2014 <doi:10.1093/bioinformatics/btu393>.
URL: https://github.com/jokergoo/circlize,
        https://jokergoo.github.io/circlize_book/book/
License: MIT + file LICENSE
NeedsCompilation: no
Packaged: 2022-02-11 10:19:51 UTC; guz
Author: Zuguang Gu [aut, cre] (<https://orcid.org/0000-0002-7395-8709>)
Maintainer: Zuguang Gu <z.gu@dkfz.de>
Repository: CRAN
Date/Publication: 2022-02-11 10:50:02 UTC

=== debian/changelog ===
r-cran-circlize (0.4.14-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 16 Feb 2022 11:56:22 +0100

r-cran-circlize (0.4.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-globaloptions.

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 14:41:25 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-globaloptions (>= 0.1.2),
                r-cran-shape,
                r-cran-colorspace
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-circlize
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-circlize.git
 Homepage: https://cran.r-project.org/package=circlize

## r-cran-circlize 0.4.15

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: circlize
 Type: Package
 Title: Circular Visualization
-Version: 0.4.14
-Date: 2022-02-11
+Version: 0.4.15
+Date: 2022-05-10
 Authors@R: person("Zuguang", "Gu", email = "z.gu@dkfz.de", role = c("aut", "cre"),
                   comment = c('ORCID'="0000-0002-7395-8709"))
 Depends: R (>= 3.0.0), graphics
@@ -25,8 +25,8 @@
         https://jokergoo.github.io/circlize_book/book/
 License: MIT + file LICENSE
 NeedsCompilation: no
-Packaged: 2022-02-11 10:19:51 UTC; guz
+Packaged: 2022-05-10 18:38:19 UTC; guz
 Author: Zuguang Gu [aut, cre] (<https://orcid.org/0000-0002-7395-8709>)
 Maintainer: Zuguang Gu <z.gu@dkfz.de>
 Repository: CRAN
-Date/Publication: 2022-02-11 10:50:02 UTC
+Date/Publication: 2022-05-10 19:30:05 UTC

=== debian/changelog ===
r-cran-circlize (0.4.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 10:30:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-cran-circlize
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-circlize
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-circlize.git
+Homepage: https://cran.r-project.org/package=circlize
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-globaloptions (>= 0.1.2),
                r-cran-shape,
                r-cran-colorspace
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-circlize
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-circlize.git
-Homepage: https://cran.r-project.org/package=circlize
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-circlize
 Architecture: all

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/circlize_([-\d.]*)\.tar\.gz

## r-cran-circlize 0.4.16+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: circlize
 Type: Package
 Title: Circular Visualization
-Version: 0.4.15
-Date: 2022-05-10
+Version: 0.4.16
+Date: 2024-02-20
 Authors@R: person("Zuguang", "Gu", email = "z.gu@dkfz.de", role = c("aut", "cre"),
                   comment = c('ORCID'="0000-0002-7395-8709"))
-Depends: R (>= 3.0.0), graphics
+Depends: R (>= 4.0.0), graphics
 Imports: GlobalOptions (>= 0.1.2), shape, grDevices, utils, stats,
         colorspace, methods, grid
 Suggests: knitr, dendextend (>= 1.0.1), ComplexHeatmap (>= 2.0.0),
@@ -25,8 +25,8 @@
         https://jokergoo.github.io/circlize_book/book/
 License: MIT + file LICENSE
 NeedsCompilation: no
-Packaged: 2022-05-10 18:38:19 UTC; guz
+Packaged: 2024-02-20 08:13:23 UTC; guz
 Author: Zuguang Gu [aut, cre] (<https://orcid.org/0000-0002-7395-8709>)
 Maintainer: Zuguang Gu <z.gu@dkfz.de>
 Repository: CRAN
-Date/Publication: 2022-05-10 19:30:05 UTC
+Date/Publication: 2024-02-20 10:30:02 UTC

=== debian/changelog ===
r-cran-circlize (0.4.16+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Thu, 07 Mar 2024 20:42:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-cran-circlize
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-globaloptions,
+               r-cran-shape,
+               r-cran-colorspace
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-circlize
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-circlize.git
 Homepage: https://cran.r-project.org/package=circlize
-Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-globaloptions (>= 0.1.2),
-               r-cran-shape,
-               r-cran-colorspace
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-circlize
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_install:
	dh_auto_install
	find debian/ -name "*.txt" -o -name "*.Rmd" -o -name "*RData" -o -name "CITATION" | xargs -r chmod 644

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/lintian-overrides

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto" \
https://cloud.r-project.org/src/contrib/circlize_([-\d.]*)\.tar\.gz

## r-cran-circlize 0.4.17%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Package: circlize
 Type: Package
 Title: Circular Visualization
-Version: 0.4.16
-Date: 2024-02-20
+Version: 0.4.17
+Date: 2025-12-08
 Authors@R: person("Zuguang", "Gu", email = "z.gu@dkfz.de", role = c("aut", "cre"),
                   comment = c('ORCID'="0000-0002-7395-8709"))
-Depends: R (>= 4.0.0), graphics
+Depends: R (>= 3.0.0), graphics
 Imports: GlobalOptions (>= 0.1.2), shape, grDevices, utils, stats,
         colorspace, methods, grid
 Suggests: knitr, dendextend (>= 1.0.1), ComplexHeatmap (>= 2.0.0),
-        gridBase, png, markdown, bezier, covr, rmarkdown
+        gridBase, png, markdown, bezier, rmarkdown
 VignetteBuilder: knitr
 Description: Circular layout is an efficient way for the visualization of huge 
     amounts of information. Here this package provides an implementation 
@@ -25,8 +25,8 @@
         https://jokergoo.github.io/circlize_book/book/
 License: MIT + file LICENSE
 NeedsCompilation: no
-Packaged: 2024-02-20 08:13:23 UTC; guz
-Author: Zuguang Gu [aut, cre] (<https://orcid.org/0000-0002-7395-8709>)
+Packaged: 2025-12-08 09:05:44 UTC; guz
+Author: Zuguang Gu [aut, cre] (ORCID: <https://orcid.org/0000-0002-7395-8709>)
 Maintainer: Zuguang Gu <z.gu@dkfz.de>
 Repository: CRAN
-Date/Publication: 2024-02-20 10:30:02 UTC
+Date/Publication: 2025-12-08 11:00:02 UTC

## r-cran-circlize 0.4.17+dfsg

=== debian/changelog ===
r-cran-circlize (0.4.17+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 13 Jan 2026 11:26:12 +0900

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,10 @@
                r-base-dev,
                r-cran-globaloptions,
                r-cran-shape,
-               r-cran-colorspace
-Standards-Version: 4.6.2
+               r-cran-colorspace,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-circlize
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-circlize.git
 Homepage: https://cran.r-project.org/package=circlize
